#!/usr/bin/env python

import rospy
from std_msgs.msg import Int32

class Publisher:
    def __init__(self):
        self.number_pub = rospy.Publisher("/count", Int32, queue_size=10)
        rate = rospy.Rate(1)
        number_count = 0
        while not rospy.is_shutdown():
            self.number_pub.publish(number_count)
            number_count += 1
            rate.sleep()

if __name__ == "__main__":
    rospy.init_node("topic_publisher")
    Publisher()
    rospy.spin()
